shortlived.d(1m)

NAME
shortlived.d - check short lived process time. Uses DTrace.

SYNOPSIS
shortlived.d

DESCRIPTION
shortlived.d is a DTrace program to measure the time consumed by short lived processes. Many short lived processes can be a burden on the system, and may be the cause of performance problems. This program can help identify that case. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This prints a report after Ctrl-C has been hit,
    # shortlived.d

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
shortlived.d will run until Ctrl-C is hit to end the sample.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), truss(1)